petsc-3.4.2 2013-07-02

# MatPreallocateFinalize

Ends the block of code that will count the number of nonzeros per row in a matrix providing the data that one can use to correctly preallocate the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPreallocateFinalize(PetscInt *dnz, PetscInt *onz)

Collective on MPI_Comm

### Input Parameters

| dnz | - the array that was be passed to the matrix preallocation routines
| ozn | - the other array passed to the matrix preallocation routines

### Notes

See the <A href="../../docs/manual.pdf#nameddest=Chapter 11 Hints for Performance Tuning">Hints for Performance Improvment</A> chapter in the users manual for more details.

Do not malloc or free dnz and onz that is handled internally by these routines

This is a MACRO not a function because it closes the { started in MatPreallocateInitialize().

### See Also

MatPreallocateInitialize(), MatPreallocateSet(), MatPreallocateSymmetricSet(), MatPreallocateSetLocal(),
MatPreallocateSymmetricSetLocal()

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages